Bug 1007594 - Review Request: openshift-origin-cartridge-diy - DIY OpenShift cartridge
Review Request: openshift-origin-cartridge-diy - DIY OpenShift cartridge
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 17:13 EDT by Troy Dawson
Modified: 2013-10-27 01:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: openshift-origin-cartridge-diy-0.8.0.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 23:59:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-09-12 17:13:13 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy-0.8.0.1-1.fc20.src.rpm
Description: DIY cartridge for openshift. (Cartridge Format V2)
Fedora Account System Username: tdawson
Comment 1 Christopher Meng 2013-09-12 22:00:30 EDT
Just use rm/mkdir/cp instead of %__rm/%__mkdir/%__cp

Put your docs under %{_pkgdocdir}
Comment 2 Troy Dawson 2013-09-13 13:02:39 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy-0.8.0.1-2.fc20.src.rpm

- Now use rm/mkdir/cp instead of %__rm/%__mkdir/%__cp
- Now docs are in %{_pkgdocdir}
Comment 3 Marek Mahut 2013-10-17 09:14:58 EDT
Thank you for the review request. This is pretty simple as it is just bare directory structure for OpenShift cartridges.

Maybe over time we should draw some guidelines for OpenShift cartridges too.

This is approved.
Comment 4 Troy Dawson 2013-10-17 09:49:58 EDT
New Package SCM Request
=======================
Package Name: openshift-origin-cartridge-diy
Short Description: DIY OpenShift cartridge
Owners: tdawson
Branches: f19 f20
InitialCC:
Comment 5 Gwyn Ciesla 2013-10-17 10:14:48 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-10-17 10:50:37 EDT
openshift-origin-cartridge-diy-0.8.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openshift-origin-cartridge-diy-0.8.0.1-2.fc19
Comment 7 Fedora Update System 2013-10-18 15:45:12 EDT
openshift-origin-cartridge-diy-0.8.0.1-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-10-26 23:59:25 EDT
openshift-origin-cartridge-diy-0.8.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-10-27 01:30:18 EDT
openshift-origin-cartridge-diy-0.8.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.